/* todo conteúdo da página */
* {
  margin: 0;
  padding: 0;
  box-sizing: border-box;
}

/* corpo da minha página */
body {
  background-color: #09090a;
  color: white;

  height: 100vh;
}

/* cabeçalho da minha página */
header {
  display: flex;
  align-items: center;
  justify-content: space-between;

  padding: 48px;
  position: fixed;
  width: 100%;
  background-color:#1C1C1C;
}

#img-logo {
  cursor: pointer;
}

/* botões */
button {
  padding: 16px 24px;
  border-radius: 8px;
  border: 1px solid #8b5cf6;
  background-color: transparent;
  color: white;

  display: flex;
  align-items: center;
  gap: 12px;

  font-family: "Inter";
  font-weight: 600;
  font-size: 16px;
  line-height: 125%;

  cursor: pointer;
}

/* formulário */
form {
  display: flex;

  padding: 300px 48px 48px;
  width: fit-content;
}

/* ícones para os hábitos */
.habit {
  width: 64px;
  height: 64px;

  font-size: 32px;

  display: flex;
  align-items: center;
  justify-content: center;
}
/* conjuntod de hábitos */
.habits {
  margin-top: 60px;
  display: flex;
  flex-direction: column;

  gap: 24px;
}

/* conjunto dos dias da semana  */
.days {
  display: flex;
  gap: 48px;

  margin-left: 32px;
}

/* dia específico  */
.day {
  display: flex;
  flex-direction: column;
  gap: 24px;
}

/* minha div dentro da minha class DAY */
.day div {
  margin-bottom: 8px;

  font-family: "Roboto Mono";
  font-size: 20px;
  line-height: 125%;

  color: #a1a1aa;

  text-align: center;
}

/* inputs */
input {
  appearance: none;
  -webkit-appearance: none;

  width: 64px;
  height: 64px;

  border: 2px solid #1b1b2a;
  border-radius: 8px;

  background: #18181b;
  cursor: pointer;
}

/*  pseudo-selector */
input:checked {
  background: #8b5cf6;
  border: 2px solid #a78bfa;
}

/* esse código é responsável por fazer a responsividade do botão "+" para o celular */
@media (max-width: 570px) {
  .button-cell {
    display: none;
  }
}
